package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectorversion.AddSchCollectorVersionDTO;
import com.docus.server.dto.scheduling.management.schcollectorversion.EditSchCollectorVersionDTO;
import com.docus.server.entity.scheduling.management.SchCollectorVersion;
import com.docus.server.vo.scheduling.management.schcollectorversion.SchCollectorVersionVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集器版本列表管理 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchCollectorVersionConvert {

    SchCollectorVersionConvert INSTANCE = Mappers.getMapper(SchCollectorVersionConvert.class);

    @Mappings({})
    SchCollectorVersion convertDO(AddSchCollectorVersionDTO addSchCollectorVersionDTO);

    @Mappings({})
    SchCollectorVersion convertDO(EditSchCollectorVersionDTO editSchCollectorVersionDTO);

    @Mappings({})
    List<SchCollectorVersion> convertAddDOList(List<AddSchCollectorVersionDTO> addSchCollectorVersionDTO);

    @Mappings({})
    List<SchCollectorVersion> convertEditDOList(List<EditSchCollectorVersionDTO> editSchCollectorVersionDTO);

    @Mappings({})
    SchCollectorVersionVO convertVO(SchCollectorVersion schCollectorVersion);

    @Mappings({})
    List<SchCollectorVersionVO> convertVO(List<SchCollectorVersion> schCollectorVersionList);

    @Mappings({})
    PageResult<SchCollectorVersionVO> convertVO(PageResult<SchCollectorVersion> pageResult);
}

